Update Sales Order Note
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/notes/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"NoteBody": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/notes/{noteId}"
payload = { "NoteBody": "<string>" }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({NoteBody: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Sales Order
Update Sales Order Note
Update a specific note for a given sales order
PATCH
/
v1
/
salesOrders
/
{salesOrderId}
/
notes
/
{noteId}
Update Sales Order Note
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales order that the notes belong to.
The id of the note.
Body
application/json
The note to update.
Model Class: UpdateNote
The text in the customer note.
Response
Was this page helpful?
⌘I